import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)
// 公共路由
export const constantRoutes = [
  {
    path: '/',
    component: (resolve) => require(['@/views/home'], resolve),
    hidden: true
  },
  // {
  //   path: '/miniProgramPlayback',
  //   component: (resolve) => require(['@/views/miniProgramPlayback/index'], resolve),
  //   hidden: true
  // },
  // {
  //   path: '/miniProgramVideo',
  //   component: (resolve) => require(['@/views/miniProgramVideo/index'], resolve),
  //   hidden: true
  // },
  {
    path: '/miniProgramAuthentication',
    component: (resolve) => require(['@/views/miniProgramAuthentication/index'], resolve),
    hidden: true
  },
]

export default new Router({
  mode: 'hash', // 去掉url中的#
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})
